curl -X POST https://app.drime.cloud/api/v1/workspace/1873 \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "Renamed Workspace"
}'
const workspaceId = 1873;
const response = await fetch(
`https://app.drime.cloud/api/v1/workspace/${workspaceId}`,
{
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'Renamed Workspace'
})
}
);
const { workspace } = await response.json();
import requests
workspace_id = 1873
response = requests.post(
f'https://app.drime.cloud/api/v1/workspace/{workspace_id}',
headers={'Authorization': 'Bearer YOUR_ACCESS_TOKEN'},
json={'name': 'Renamed Workspace'}
)
workspace = response.json()['workspace']
{
"workspace": {
"id": 1873,
"name": "Renamed Workspace",
"owner_id": 15843,
"updated_at": "2025-12-20T10:00:00.000000Z"
},
"status": "success"
}
User & Workspaces
Update Workspace
Update workspace details
POST
/
workspace
/
{id}
curl -X POST https://app.drime.cloud/api/v1/workspace/1873 \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "Renamed Workspace"
}'
const workspaceId = 1873;
const response = await fetch(
`https://app.drime.cloud/api/v1/workspace/${workspaceId}`,
{
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'Renamed Workspace'
})
}
);
const { workspace } = await response.json();
import requests
workspace_id = 1873
response = requests.post(
f'https://app.drime.cloud/api/v1/workspace/{workspace_id}',
headers={'Authorization': 'Bearer YOUR_ACCESS_TOKEN'},
json={'name': 'Renamed Workspace'}
)
workspace = response.json()['workspace']
{
"workspace": {
"id": 1873,
"name": "Renamed Workspace",
"owner_id": 15843,
"updated_at": "2025-12-20T10:00:00.000000Z"
},
"status": "success"
}
Overview
Updates the name or other details of an existing workspace.Path Parameters
integer
required
The workspace ID to update
Request Body
string
New name for the workspace
Response
object
The updated workspace object
string
Request status (
success)curl -X POST https://app.drime.cloud/api/v1/workspace/1873 \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "Renamed Workspace"
}'
const workspaceId = 1873;
const response = await fetch(
`https://app.drime.cloud/api/v1/workspace/${workspaceId}`,
{
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'Renamed Workspace'
})
}
);
const { workspace } = await response.json();
import requests
workspace_id = 1873
response = requests.post(
f'https://app.drime.cloud/api/v1/workspace/{workspace_id}',
headers={'Authorization': 'Bearer YOUR_ACCESS_TOKEN'},
json={'name': 'Renamed Workspace'}
)
workspace = response.json()['workspace']
{
"workspace": {
"id": 1873,
"name": "Renamed Workspace",
"owner_id": 15843,
"updated_at": "2025-12-20T10:00:00.000000Z"
},
"status": "success"
}
⌘I

